
.sidebar-nav
  - if current_page.data.sidebar_nav_title
    .sidebar-nav-title
      #{current_page.data.sidebar_nav_title}
  - if current_page.data.sidebar_nav_links
    %nav
      - current_page.data.sidebar_nav_links.each do |nav_item|
        %div
          %a{"href": nav_item.url} #{nav_item.title}

:css
  #sidebar-nav {
    max-height: calc(100vh - 78px);
    overflow-y: auto;
    padding: 0px 0px 40px 0px;
    position: sticky;
    top: calc(58px + 20px);
  }
  .sidebar-nav {
    padding-right: 20px;
  }
  .sidebar-nav-title {
    font-size: 2rem;
    font-weight: 600;
  }
  .sidebar-nav nav div {
    border-top: 1px solid #e7e7e7;
    font-size: 1.6rem;
    line-height: 1.25em;
    margin: .5em 0 0 0;
    padding: .5em 0 0 0;
  }
  @media (max-width: 991px) {
    #sidebar-nav {
      padding: 0px 0px 40px 20px;
      position: static;
    }
  }
